Subject: Re: bug#4515: 23.1.50; Reverting changes on versioned file does not revert vc modeline status

From: Kevin Rodgers <[email-masked]>
Date: Wed, 23 Sep 2009 20:08:50 -0600

Dan Nicolaescu wrote:
> Óscar Fuentes <[email-masked]> writes:
> 
>   > Dan Nicolaescu <[email-masked]> writes:
...
>   > > Checking for this condition after each save is prohibitively expensive,
>   > > and it's an extremely rare event, so it's not worth optimizing for.
>   > 
>   > Automatically checking the VC state after each save is actually
>   > performed if there is a vc-dired buffer for the working copy where the
>   > file resides. That check updates the vc-dired with the correct state of
>   > the saved file.
...
>   > > So this is neither a bug, not something worth improving.
>   > 
>   > Well, the vc status on the modeline is showing the wrong state.
> 
>   > Would you accept a patch that implements an option for checking after
>   > every save and updating the vc state on the modeline accordingly?
> 
> Although I've done a lot of work on VC, I am not an official maintainer
> of VC, so I am in no position to do that.  But I don't think such a
> change is a good idea.

Should that feature be removed from vc-dired, so that it is consistent with the
buffer's mode line?

(No, I'm not serious.)

-- 
Kevin Rodgers
Denver, Colorado, USA